<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
	  <TargetFramework>net7.0</TargetFramework>
	  <Product>Insight</Product>
	  <AssemblyName>web</AssemblyName>
	  <AssemblyVersion>2023.9.21.1</AssemblyVersion>
	  <RootNamespace>Insight.Web</RootNamespace>
      <Nullable>enable</Nullable>
      <ImplicitUsings>enable</ImplicitUsings>
	  <PublishAot>false</PublishAot>
	  <PublishTrimmed>false</PublishTrimmed>
	  <!--<ServerGarbageCollection>false</ServerGarbageCollection>
	  <ConcurrentGarbageCollection>false</ConcurrentGarbageCollection>-->
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <DebugType>none</DebugType>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DebugType>none</DebugType>
  </PropertyGroup>

  <ItemGroup>
      <PackageReference Include="Microsoft.Extensions.Hosting.Systemd" Version="7.0.0" />
      <PackageReference Include="Microsoft.Extensions.Hosting.WindowsServices" Version="7.0.1" />
      <PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
	  <PackageReference Include="Blazored.LocalStorage" Version="4.4.0" />
	  <PackageReference Include="Blazored.SessionStorage" Version="2.4.0" />
	  <PackageReference Include="Microsoft.AspNetCore.SignalR.Client" Version="7.0.11" />
	  <PackageReference Include="MudBlazor" Version="6.10.0" />
	  <PackageReference Include="Vaitr.Bus" Version="0.1.3" />
	  <!--Unix Serilog stuff-->
	  <PackageReference Include="System.IO.FileSystem.Primitives" Version="4.3.0" />
	  <PackageReference Include="System.Text.Encoding.Extensions" Version="4.3.0" />
	  <PackageReference Include="System.Runtime.Handles" Version="4.3.0" />
	  <PackageReference Include="System.IO" Version="4.3.0" />
	  <PackageReference Include="System.Runtime.InteropServices" Version="4.3.0" />
	  <PackageReference Include="System.Threading" Version="4.3.0" />
	  <PackageReference Include="System.Threading.Tasks" Version="4.3.0" />
  </ItemGroup>

  <ItemGroup>
		<ProjectReference Include="..\..\Core\Insight.Infrastructure\Insight.Infrastructure.csproj" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="wwwroot\media\" />
  </ItemGroup>

</Project>
